# CAP : Pirate Battleship

## Features

  * Battleship game
  * Pirate theme
  * Music, animations and sound effects
  * Safe for children
  * Language: English, French, German, Italian, Bokmål
  * Preferences saving in ```${XDG_CONFIG_HOME:-$HOME/.config}/capbattleship/conf```

## Download

  * [v1.0~alpha5](https://forge.tedomum.net/captnfab/capbattleship/-/archive/v1.0alpha4/capbattleship-v1.0alpha5.tar.gz)
  * [v1.0~alpha4](https://forge.tedomum.net/captnfab/capbattleship/-/archive/v1.0alpha4/capbattleship-v1.0alpha4.tar.gz)
  * [v1.0~alpha3](https://forge.tedomum.net/captnfab/capbattleship/-/archive/v1.0alpha3/capbattleship-v1.0alpha3.tar.gz)
  * [v1.0~alpha2](https://forge.tedomum.net/captnfab/capbattleship/-/archive/v1.0alpha2/capbattleship-v1.0alpha2.tar.gz)
  * [v1.0~alpha1](https://forge.tedomum.net/captnfab/capbattleship/-/archive/v1.0alpha1/capbattleship-v1.0alpha1.tar.gz)

## Dependencies:

  * python3 (works with >= 3.7.3) (uses os, configparser, random, enum, math, gettext, locale, glob)
  * python3-pygame (>= 1.9.4) or python3-pygame-sdl2 (>= 7.3.5)
  * python3-importlib-metadata or python3-pkg-resources
  * python3-setuptools (for install / package build only)

## Run:

  * on extracted version:
./capbattleship.py

  * on installed version:
capbattleship

License: see LICENSE file

## Screenshots

![Placing ships on the grid](https://forge.tedomum.net/captnfab/capbattleship/-/raw/master/screenshots/place-ships.png)

![A fierce battle is going on](https://forge.tedomum.net/captnfab/capbattleship/-/raw/master/screenshots/battle.png)
